# getName

@Input
abstract fun getName(): String

The symbolic name of this report.

The name of the report usually indicates the format (e.g. XML, HTML etc.) but can be anything.

When part of a ReportContainer, reports are accessed via their name. That is, given a report container variable named `reports` containing a report who's `getName()` returns `"html"`, the report could be accessed via:

    reports.html

Content copied to clipboard

#### Return

The name of this report.